Subject: Re: can I remove or move a tag in a remote repository?

From: Jakub Narebski <[email-masked]>
Date: Sun, 19 Nov 2006 19:54:27 +0100

Jim Meyering wrote:

> When I try to push the new tags, git-push fails:
> 
>   $ git-push -f --tags ssh+git://git.sv.gnu.org/srv/git/coreutils master:refs/heads/master
>   updating 'refs/tags/cvs-head'
>     from 2fd3fd29a8b40be695bc2327c8cd3bd33e521100
>     to   db18f53ffb221e9957124d8af81c11a7e350ac3b
>   ...
>   Total 1, written 1 (delta 0), reused 0 (delta 0)
>   Unpacking 1 objects
>   error: denying non-fast forward; you should pull first
> 
> I get the same error also when using --force.

Possibly remote side has receive.denyNonFastForwards set (it should not
I think if it is public published bare repository). But even then there
should be no fast-forward check on tags...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git